Bug 473817 - Window too large to fit on small device's screen
Window too large to fit on small device's screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 16:49 EST by Darren Fulton
Modified: 2009-12-18 02:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:03:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Fulton 2008-11-30 16:49:13 EST
+++ This bug was initially created as a clone of Bug #473668 +++

Description of problem:
Some application windows, usually configuration menus in various programs included in Fedora 10 are too large to be fully displayed on devices with small screens.  These windows typically do not have vertical scroll bars.  Since the buttons to save, cancel, etc. are typically at the bottom of the window and the window is too tall to display the buttons, such programs are largely unusable.  

Version-Release number of selected component (if applicable):


How reproducible:
Very reproducible.

Steps to Reproduce:
1.  Install Fedora 10 on an OLPC XO or EEEPC 7xx netbook.
2.  Log into GNOME, KDE, or LXDE.
3.  Launch Ekiga, open "Configuration Assistant".  OR, launch Thunderbird, open Account Settings, click "Copies and Folders".  OR, launch KOrganizer, open Configure KOrganizer [window too wide also].  There are many other examples, including the gnome-mouse-properties dialog window.
  
Actual results:
Window too big to be useful.

Expected results:
Window displays at size equal to or less than the usable screen space available on the monitor and all data, options, and features are available.

Additional info:

--- Additional comment from pbrobinson@gmail.com on 2008-11-30 16:06:53 EDT ---

I actually reported this upstream to ekiga quite a while ago. I've attached the bug report number via the external bug reference.

--- Additional comment from dfulton@gmail.com on 2008-11-30 16:14:59 EDT ---

Thank you.  What shall we do about all of the other applications that have the same issue?  Should we open one ticket per application or should we open one ticket and list all of the offending applications within that ticket?

--
Darren Fulton

--- Additional comment from pbrobinson@gmail.com on 2008-11-30 16:41:17 EDT ---

A new bug report for every issue. There's only one application that can be assigned per bug,
Comment 1 Darren Fulton 2009-01-21 08:40:29 EST
This article will be slightly interesting to anyone that has had difficulty using common programs on devices with small screens:

http://www.computerworld.com.au/article/273605/move_over_gnome_ubuntu_mobile_looks_qt_other_desktop_environments

From the article:
     Mandala said, adding one of the biggest challenges is reminding 
     developers to write applications for 800 by 600 screen resolutions
     found in smaller devices. 'The standard [resolution] for GNOME 
     [apps] is 800 by 600, but not all apps are. 

I think 800x600 might be too big and that applications ideally would function (not necessarily comfortably) at 800x480 or so.
Comment 2 Jaroslav Reznik 2009-02-06 02:55:45 EST
Workaround: hit Alt and drag window with mouse (you can click everywhere in windows, not only title bar).

But I think for small form devices it's better to use specially designed UI which suits better for small screens. Take in consideration desktop - full HD resolution is now nearly standard one and users could complain - why this windows is so small if I have such a big resolution? 

PS: newest small factor devices have 1024+ resolution...
Comment 3 Igor Velkov 2009-02-06 03:05:35 EST
Not so bad that windows are karge, bad is that windows are empty and can't be resized to smaller size with no one reason. A lot of app have resizeable windows with very large and unreasonable smallest enable window size.
Comment 4 Bug Zapper 2009-11-18 04:05:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:03:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.